org.gradle.language.nativeplatform.tasks

## Class AbstractNativeSourceCompileTask

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.language.nativeplatform.tasks.AbstractNativeCompileTask
      - - org.gradle.language.nativeplatform.tasks.AbstractNativeSourceCompileTask

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>
  Direct Known Subclasses:
    CCompile, CppCompile, ObjectiveCCompile, ObjectiveCppCompile

      @Incubating
      public abstract class AbstractNativeSourceCompileTask
      extends AbstractNativeCompileTask

  Compiles native source files into object files.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractNativeSourceCompileTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `configureSpec(org.gradle.nativeplatform.toolchain.internal.NativeCompileSpec spec)`
    `org.gradle.nativeplatform.toolchain.internal.PreCompiledHeader` | `getPreCompiledHeader()` Returns the pre-compiled header to be used during compilation
    `void` | `setPreCompiledHeader(org.gradle.nativeplatform.toolchain.internal.PreCompiledHeader preCompiledHeader)`

    - ### Methods inherited from class org.gradle.language.nativeplatform.tasks.AbstractNativeCompileTask

      `compile, createCompileSpec, getCompilerArgs, getIncludes, getIncrementalCompilerBuilder, getMacros, getObjectFileDir, getOperationLoggerFactory, getSource, getTargetPlatform, getToolChain, includes, isPositionIndependentCode, setCompilerArgs, setMacros, setObjectFileDir, setPositionIndependentCode, setTargetPlatform, setToolChain, source`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setName, setOnlyIf, setOnlyIf, setProject, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractNativeSourceCompileTask

          public AbstractNativeSourceCompileTask()

  - ### Method Detail

    - #### configureSpec

          protected void configureSpec(org.gradle.nativeplatform.toolchain.internal.NativeCompileSpec spec)

      Overrides:
        `configureSpec` in class `AbstractNativeCompileTask`

    - #### getPreCompiledHeader

          @Optional
          public org.gradle.nativeplatform.toolchain.internal.PreCompiledHeader getPreCompiledHeader()

      Returns the pre-compiled header to be used during compilation

    - #### setPreCompiledHeader

          public void setPreCompiledHeader(org.gradle.nativeplatform.toolchain.internal.PreCompiledHeader preCompiledHeader)